--********************************************************
--VISTA TELEFONOS DEL CLIENTE VM_C_TELEFONOS_PF
--*********************************************************

SELECT
CON.FOLIO_UNICO, 
SBP.NOMBRE, 
SBP.APELLIDO_PATERNO,
SBP.APELLIDO_MATERNO,
TPT.NOMBRE REF_TELEFONICA,
TEL.IDINT TELEFONO_ID,
TEL.TELEFONO,
TEL.EXTENSION

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SUJ ON (SUJ.ID = ATF.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBP ON (SBP.ID = SUJ.SUJETOBASE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_TELEFONOS SJT ON (SJT.SUJETO_ID = SUJ.ID) --TELEFONO DE SUJETO (AMPLIFICA REGISTROS)
LEFT OUTER JOIN SMAFB.SGTELEFONOS TEL ON (TEL.IDINT = SJT.TELEFONO_ID)
LEFT OUTER JOIN SMAFB.SGTIPOS_TELEFONOS TPT ON (TPT.ID = TEL.TIPO_TELEFONO_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;